01.software Docs

List the authenticated customer’s placed Orders

Use the SDK for application integration. This read-only reference covers Commerce, Customer Auth, Membership and Events.

All HTTP operations
GET
/api/customers/me/orders

Authorization

publishableKeycustomerBearerAuth
headerX-Publishable-Key<token>

Tenant publishable key for authentication (sent via X-Publishable-Key header)

headerAuthorizationBearer <JWT>

Customer JWT for same-tenant authenticated customer actions

Query Parameters

page?integer

Page number

Range1 <= value
Default1
limit?integer

Number of documents to return

Range1 <= value <= 100
Default10
financialStatus?string
Value in"pending""authorized""expired""partially_paid""paid""canceled""partially_refunded""refunded""reconciliation_required"
fulfillmentStatus?string
Value in"unfulfilled""in_progress""on_hold""partially_fulfilled""shipped""fulfilled""canceled"
returnStatus?string
Value in"no_return""return_requested""in_progress""returned"
confirmationStatus?string
Value in"unconfirmed""confirmed"
primaryDisplayStatus?string
Value in"pending""paid""canceled""refunded""preparing""shipped""delivered""confirmed"

Response Body

Paginated customer Order history

application/json
  1. response
docs*array<>
totalDocs*integer
Range0 <= value
limit*integer
Range1 <= value <= 100
totalPages*integer
Range0 <= value
page*integer
Range1 <= value
pagingCounter*integer
Range1 <= value
hasPrevPage*boolean
hasNextPage*boolean
prevPage*|
Range1 <= value
nextPage*|
Range1 <= value

Examples may be generated from schemas; they are illustrative, not recorded successful API calls. Example snippets may omit required authentication headers.

Example Request
curl -X GET 'https://api.01.software/api/customers/me/orders'
Example Response
{  "docs": [    {      "id": "string",      "orderNumber": "string",      "amounts": {        "currency": "string",        "subtotalMinor": 0,        "shippingMinor": 0,        "discountMinor": 0,        "totalMinor": 0,        "refundedMinor": 0,        "currentTotalMinor": 0      },      "market": {        "id": "string",        "handle": "string",        "name": "string"      },      "customerSnapshot": {        "email": "user@example.com",        "name": "string",        "phone": "string"      },      "shippingAddress": {        "recipientName": "string",        "phone": "string",        "countryCode": "st",        "regionCode": "string",        "postalCode": "string",        "address": "string",        "detailAddress": "string",        "deliveryMessage": "string"      },      "attributes": [        {          "key": "string",          "value": "string"        }      ],      "items": [        {          "id": "string",          "product": {            "id": "string",            "title": "string",            "handle": "string",            "image": "string"          },          "variant": {            "id": "string",            "title": "string",            "handle": "string",            "image": "string"          },          "productTitle": "string",          "variantTitle": "string",          "sku": "string",          "admissions": [            {              "eventId": "string",              "occurrenceId": "string",              "admissionTypeId": "string"            }          ],          "quantity": 1,          "unitPriceMinor": 0,          "discountMinor": 0,          "lineTotalMinor": 0,          "requiresShipping": true        }      ],      "financialStatus": "pending",      "fulfillmentStatus": "unfulfilled",      "returnStatus": "no_return",      "confirmationStatus": "unconfirmed",      "primaryDisplayStatus": "pending",      "placedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "totalDocs": 0,  "limit": 1,  "totalPages": 0,  "page": 1,  "pagingCounter": 1,  "hasPrevPage": true,  "hasNextPage": true,  "prevPage": 1,  "nextPage": 1}